Go to the first, previous, next, last section, table of contents.

### `kmul`, `ksquare`, `ktmul`

`kmul(p1,p2)`
  :: Fast multiplication of univariate polynomials
`ksquare(p1)`
  :: Fast squaring of a univariate polynomial
`ktmul(p1,p2,d)`
  :: Fast multiplication of univariate polynomials with truncation

return
  univariate polynomial
p1 p2
  univariate polynomial
d
  non-negative integer

These functions compute products of univariate polynomials by Karatsuba algorithm.
- These functions do not apply FFT for large degree inputs.
- These functions can compute products over GF(2^n).

    [0] load("code/fff");
    1
    [34] setmod_ff(defpoly_mod2(160));
    x^160+x^5+x^3+x^2+1
    [35] A=randpoly_ff(100,x)$
    [36] B=randpoly_ff(100,x)$
    [37] umul(A,B)$
    umul : invalid argument
    return to toplevel
    [37] kmul(A,B)$

Go to the first, previous, next, last section, table of contents.